Summary:	A Dictionary Lookup program
Summary(pl.UTF-8):	Program do wyszukiwania słów w słownikach
Name:		ding
Version:	1.9
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://wftp.tu-chemnitz.de/pub/Local/urz/ding/%{name}-%{version}.tar.gz
# Source0-md5:	1c5f96720914306b6fa8b940fb8129fe
Patch0:		%{name}-desktop.patch
URL:		http://www-user.tu-chemnitz.de/~fri/ding/
Requires:	/usr/bin/wish
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ding (DIctionary Nice Grep) is a tool to lookup words in dictionaries.
It uses tools like agrep, dict, ispell/aspell etc. It contains a
program (ding) written in Tcl/Tk and a German - English dictionary
with about 380,000 translations.

%description -l de.UTF-8
Ding (DIctionary Nice Grep) ist ein Programm zur Suche in
Wörterbüchern. Es benutzt zur Suche Werkzeuge wie agrep bzw. egrep,
dict, ispell/aspell. Es basiert auf Tcl/Tk und enthält ein Deutsch-
Englisches Wörterbuch mit ca. 380.000 Einträgen.

%description -l pl.UTF-8
Ding (DIctionary Nice Grep) to narzędzie do wyszukiwania słów w
słownikach. Używa narzędzi takich jak agrep, dict, ispell/aspell itp.
Zawiera program (ding) napisany w języku Tcl/Tk i słownik
niemiecko-angielski zawierający około 380000 tłumaczeń.

%prep
%setup -q
%patch -P0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/dict,%{_pixmapsdir},%{_desktopdir},%{_mandir}/man1}
install ding $RPM_BUILD_ROOT%{_bindir}
cp -p de-en.txt $RPM_BUILD_ROOT%{_datadir}/dict/de-en.txt
cp -p ding.png $RPM_BUILD_ROOT%{_pixmapsdir}/ding.png
cp -p ding.desktop $RPM_BUILD_ROOT%{_desktopdir}/ding.desktop
cp -p ding.1 $RPM_BUILD_ROOT%{_mandir}/man1/ding.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING README.md
%attr(755,root,root) %{_bindir}/ding
%{_datadir}/dict/de-en.txt
%{_mandir}/man1/ding.1*
%{_desktopdir}/ding.desktop
%{_pixmapsdir}/ding.png
%changelog
* Mon Apr 14 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ding.git;a=log;h=master

* Mon Apr 14 2025 Jakub Bogusz <qboosh@pld-linux.org> ec48dac
- updated to 1.9

* Mon Apr 14 2025 Jakub Bogusz <qboosh@pld-linux.org> 0176a69
- use patch -P

* Tue Sep 14 2010 lisu <lisu@pld-linux.org> 73e1266
- updated for 1.7 version
- add pl
- pldize

* Tue Sep 14 2010 lisu <lisu@pld-linux.org> 1484c6a
- updated to 1.7

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> d7391fa
- up to 1.5

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 15d5f64
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 435a7f1
- converted to UTF-8

* Sat Apr 01 2006 Jakub Bogusz <qboosh@pld-linux.org> 21fe4da
- pl

* Sun Mar 26 2006 Elan Ruusamäe <glen@pld-linux.org> caf68d0
- fix desktop file

* Sun Mar 26 2006 Elan Ruusamäe <glen@pld-linux.org> 6b3e3e6
- new

